package com.ruoyi.wx.web.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

//@ApiModel(value = "发售信息详情内容")
@Data
public class SaleInfoVo implements Serializable {
    private static final long serialVersionUID = -1L;
    /**
     * 商品id
     */
    private Long id;

    /** 发售名称 */
    private String saleName;

    /**
     * 货号
     */
    private String catalog;

    /**
     * 发售价
     */
    private String salePrice;

    /**
     * 市场价
     */
    private String market;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    /**
     * 活动开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eventStartTime;

    /**
     * 活动结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTimeOfActivity;

    /**
     * 是否发售
     */
    private boolean isStore;
    /**
     * 活动图片
     */
    private String images;
    /**
     * 置顶排序
     */
    private Integer topIndex;

    /**
     * 门店信息
     */
    private List<RecStoresVo> stores;
}
